Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Dmitry Gutov <[email-masked]>
Date: Mon, 21 Mar 2016 17:49:00 +0200

On 03/21/2016 05:46 PM, Michael Albinus wrote:

> Tramp doesn't know in advance whether it has sufficient credentials for
> a given connection. Therefore, it is only about whether Tramp shall open
> a new connection. Asking for the credentials is the user visible part of
> opening a new connection.

Then it shouldn't open a new connection, I guess. Or somehow abort as 
soon as it finds out that it doesn't have the sufficient credentials.